jVi (vi/vim) for NB Update Center - plugin detail

jVi (vi/vim) for NB Update Center

n/a
Plugin owner: err
Website: http://jvi.sourceforge.net
Added: 2011-05-07
License: Mozilla Public License, Version 1.1
Category: Editing
Downloaded: 9,385 times
Rating:
 4.3, by 3 users

Plugin Log Show log

Versions available

Download plugin   Download size: 0.01 MB   Last Update: 2016-09-19

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

For 8.2 (same bits)

Verifications for NetBeans versions

8.2 verification PASSED See verification details
Download plugin   Download size: 0.01 MB   Last Update: 2015-08-17

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

For 8.1 (same bits)

Verifications for NetBeans versions

8.1 verification PASSED See verification details
Download plugin   Download size: 0.01 MB   Last Update: 2014-03-07

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version



Verifications for NetBeans versions

8.0 verification PASSED See verification details
Download plugin   Download size: 0.01 MB   Last Update: 2013-10-23

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version



Verifications for NetBeans versions

7.4 verification PASSED See verification details
Download plugin   Download size: 0.01 MB   Last Update: 2013-01-07

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version



Verifications for NetBeans versions

7.3 verification PASSED See verification details
Download plugin   Download size: 0.01 MB   Last Update: 2012-07-07

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version



Verifications for NetBeans versions

7.2 verification PASSED See verification details
Download plugin   Download size: 0.01 MB   Last Update: 2011-10-03

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version



Verifications for NetBeans versions

7.1 verification PASSED See verification details


Introduction

This plugin installs an update center so that jVi can be installed.

After installing, there is a pause while the plugin manager retrieves the jVi update center information. You may need to click "Check for Updates".

Then select the "Available Plugins" tab. From the Editing category, install jVi.

The following top level modules for jVi are listed in the Plugin Manager. Editor Pin is optional. There are other modules automatically installed with the jVi for NetBeans module.
  • jVi for NetBeans
  • jVi Help
  • Editor Pin (Standalone and jVi)

[ You have to be logged in to be able to comment. ]

User Comments

  

Newer URL

This worked for me (found it by using wget and seeing the 302s): https://versaweb.dl.sourceforge.net/project/jvi/jVi-for-NetBeans/NetBeans-7.0/UC/catalog.xml.gz
Posted by mandrews on Sep 19, 2017
  

New URL

The URL in the download center results in a series of redirect. The final url works: https://superb-sea2.dl.sourceforge.net/project/jvi/jVi-for-NetBeans/NetBeans-7.0/UC/catalog.xml.gz
Posted by 20div0 on Mar 31, 2017
  

Error updating plugin

Unable to connect to the nbVi plugin update because of Received fatal alert: handshake_failure

Last Check: never URL: http://sourceforge.net/projects/jvi/files/jVi-for-NetBeans/NetBeans-7.0/UC/catalog.xml.gz
Posted by akshay_sysfix on Mar 21, 2017
  

Re: jVi plugins not loaded by update center

After the jVi update center is installed, you can then use the Plugin Manager to install jVi. The modules you need to install are listed in the "Introduction" to this plugin. See above.

In addition (or if for some reason that doesn't work), you can install the modules from a zip file, found at the jVi project on sourceforge. The most recent is https://sourceforge.net/projects/jvi/files/jVi-for-NetBeans/NetBeans-7.0/nbvi-1.5.3.zip/download .
Posted by err on Feb 26, 2016
  

jVi plugins not loaded by update center

I install the jVi upate center, but it does not retrieve the actual jVi plugins.

I have waited for them to show up for over 1 day. I have hit "check for updates" multiple times. I have tried this both at work and at home.
Posted by jmelom on Feb 26, 2016
  

Missing description of jVi Help plugin

Errnie, can you please add some description for the jVi Help plugin too? Right now it is empty when it is selected in the Plugins Manager. Thanks!
Posted by jkovalsky on Mar 19, 2014
  

Single update center for all NB-7.x versions

- The NB-7.0.1 modules are only for NB-7.0.1. The "NB-7.0.1" plugin description indicates that NB-7.1 has the fix. Neither of the "NB-7.0.1" modules will activate on any NB version other than NB-7.0.1 since they use implementation dependencies.
- This is a "standard" update center, I know of no way to filter the list according to NB version. Having separate update centers for each NB version is unsatisfactory for support.
- Submitting the individual modules to NB website is inconvenient for support, since I have no direct control over when stuff appears in the update center and I want fixes available in a timely fashion.
- jVi has so many features, that NB staff validation is pretty meaningless at this point.
Posted by err on Feb 09, 2013
  

Ok

Oops, OK, I'v found my problem : I only had to close & reopen the Plugins panel :)

But there' still the problem of 7.0.1 plugins listed in the list of available plugins :
- jVi: NB-7.0.1 patch for jvi command line completion => can install, but is it useful ?
- jVi: NB-7.0.1 patch for undo related issues => can't install on NB 7.3 (plugin dependencies problem). In addition, it is useful ?

It would be good to fix it before validation.
Otherwise, the best way to handle NetBeans versions correctly (and easily) would be to submit the jVI plugin(s) directly to the plugins.netbeans.org website, instead of using your own update center. In addition, users would be sure that available plugins have been validated by the NetBeans staff. In the current situation, we validate an update center but not the plugins published by this one :p
Thx.
Posted by ent38 on Feb 09, 2013
  

Restart not needed after installing update center

ent38,
Just tested with NB-7.2. The update center is immediately available, no restart needed. You can file a bug at http://sourceforge.net/tracker/?group_id=3653 if there are problems.
Posted by err on Feb 08, 2013
  

NB needs restart

Hi,
I think the plugin could ask for a NB restart, since the update center is visible after a NB restart only ;)
Another thing: the update center adds plugins that work on NB7.0.1 only (the nb 7.0.1 patches). Maybe this update center could filter the NB version ?
Thx!
Posted by ent38 on Feb 07, 2013
  

Thanks! Great work.

The jVi is a great addition to Netbeans for all of us who got used to the power of vi. If I had a remark it would be that it is not using global .vimrc, but rather its own copy of the settings. Other then that it works great.
Posted by milutinjovanovic on Jan 27, 2012
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo